## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate libflate

Name:           rust-libflate
Version:        1.4.0
Release:        %autorelease
Summary:        Rust implementation of DEFLATE algorithm and related formats (ZLIB, GZIP)

License:        MIT
URL:            https://crates.io/crates/libflate
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused no_std feature with missing dependencies
Patch:          libflate-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A Rust implementation of DEFLATE algorithm and related formats (ZLIB,
GZIP).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon May 22 2023 Fabio Valentini <decathorpe@gmail.com> - 1.4.0-1
- Update to version 1.4.0; Fixes RHBZ#2170489

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Mar 29 2022 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Update to version 1.2.0; Fixes RHBZ#2068351

* Wed Jan 26 2022 Fabio Valentini <decathorpe@gmail.com> - 1.1.2-1
- Update to version 1.1.2; Fixes RHBZ#2045077

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 29 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.1-1
- Update to version 1.1.1; Fixes RHBZ#1998797

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Apr 28 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0.
- Fixes RHBZ#1950671

* Thu Mar 25 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.4-1
- Update to version 1.0.4.
- Fixes RHBZ#1939504

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:31:19 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.3-2
- Rebuild

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.3-1
- Update to version 1.0.3.
- Fixes RHBZ#1891274

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Sun May 31 10:13:27 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Update to 1.0.1

* Mon May 18 12:37:14 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.0-1
- Update to 1.0.0

* Wed Feb 12 2020 Josh Stone <jistone@redhat.com> - 0.1.27-1
- Update to 0.1.27

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.23-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 17:37:49 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.23-1
- Update to 0.1.23

* Mon Apr 15 2019 Josh Stone <jistone@redhat.com> - 0.1.22-1
- Update to 0.1.22

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.21-1
- Update to 0.1.21

* Tue Feb 19 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.20-1
- Update to 0.1.20

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jan 26 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.19-2
- Run tests in infrastructure

* Sat Jan 26 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.1.19-1
- Initial package

